### Method

# Hinoko FwIsoIrMultiple allocate

#### Declaration [src]

    gboolean
    hinoko_fw_iso_ir_multiple_allocate (
      HinokoFwIsoIrMultiple* self,
      const char* path,
      const guint8* channels,
      guint channels_length,
      GError** error
    )

#### Description [src]

Allocate an IR context to 1394 OHCI hardware for buffer-fill mode. A local node of the node corresponding to the given path is used as the hardware, thus any path is accepted as long as process has enough permission for the path.

#### Parameters

`path`

  Type: `const char*`

  A path to any Linux FireWire character device.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`channels`

  Type: An array of `guint8`

  An array for channels to listen to. The value of each element should be up to 63.

  The length of the array is specified in the `channels_length` argument.
  The data is owned by the caller of the method.

`channels_length`

  Type: `guint`

  The length of channels.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.